Subject: Re: [PATCH net] MAINTAINERS: I don't want to review Renesas Ethernet Switch driver

From: Jakub Kicinski <[email-masked]>
Date: Wed, 3 Jan 2024 13:37:35 -0800

On Wed, 3 Jan 2024 23:56:15 +0300 Sergey Shtylyov wrote:
> I don't know this hardware, I don't have the manuals for it, so I can't
> provide a good review.  Let's exclude the Ethernet Switch related files.
> 
> Signed-off-by: Sergey Shtylyov <[email-masked]>

> Index: net/MAINTAINERS
> ===================================================================
> --- net.orig/MAINTAINERS
> +++ net/MAINTAINERS
> @@ -18358,6 +18358,9 @@ L:	[email-masked]
>  F:	Documentation/devicetree/bindings/net/renesas,*.yaml
>  F:	drivers/net/ethernet/renesas/
>  F:	include/linux/sh_eth.h
> +X:	Documentation/devicetree/bindings/net/renesas,*ether-switch.yaml
> +X:	drivers/net/ethernet/renesas/rcar_gen4_ptp.*
> +X:	drivers/net/ethernet/renesas/rswitch.*

First off, very nice to see a refinement of MAINTAINERS to narrow
down the scope and make it more precise. Thanks for doing that.

The solution itself is not very idiomatic, however :(
IIUC you want to support SuperH and the AVB implementation.
It'd be more usual to make the entry cover only the relevant files.
And for bonus points perhaps add an entry covering the switch files,
mark that entry as Orphan?